package com.willalp.push.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;

/**
 * APP用户推送标识信息对象 hs_app_push
 *
 * @author willalp
 * @date 2022-05-13
 */

@TableName("hs_app_push")
public class HsAppPush extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String pushId;

    /** 推送cId */
    @Excel(name = "推送cId")
    private String pushCid;

    /** 用户编号 */
    @Excel(name = "用户编号")
    private String userNo;

    /** 机构名称 */
    @Excel(name = "机构名称")
    private String orgNo;

    /** ip地址 */
    @Excel(name = "ip地址")
    private String ipAddr;

    /** 是否删除（0.未删除；1.已删除） */
    @Excel(name = "是否删除", readConverterExp = "0=.未删除；1.已删除")
    @TableLogic
    private Integer isDelete;

    public void setPushId(String pushId)
    {
        this.pushId = pushId;
    }

    public String getPushId()
    {
        return pushId;
    }
    public void setPushCid(String pushCid)
    {
        this.pushCid = pushCid;
    }

    public String getPushCid()
    {
        return pushCid;
    }
    public void setUserNo(String userNo)
    {
        this.userNo = userNo;
    }

    public String getUserNo()
    {
        return userNo;
    }
    public void setOrgNo(String orgNo)
    {
        this.orgNo = orgNo;
    }

    public String getOrgNo()
    {
        return orgNo;
    }
    public void setIpAddr(String ipAddr)
    {
        this.ipAddr = ipAddr;
    }

    public String getIpAddr()
    {
        return ipAddr;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("pushId", getPushId())
            .append("pushCid", getPushCid())
            .append("userNo", getUserNo())
            .append("orgNo", getOrgNo())
            .append("ipAddr", getIpAddr())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
